com.amazonaws.services.machinelearning.model

## Class DescribeMLModelsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.DescribeMLModelsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DescribeMLModelsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DescribeMLModelsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeMLModelsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getEQ()` The equal to operator.
`String` `getFilterVariable()` Use one of the following variables to filter a list of `MLModel`:
`String` `getGE()` The greater than or equal to operator.
`String` `getGT()` The greater than operator.
`String` `getLE()` The less than or equal to operator.
`Integer` `getLimit()` The number of pages of information to include in the result.
`String` `getLT()` The less than operator.
`String` `getNE()` The not equal to operator.
`String` `getNextToken()` The ID of the page in the paginated results.
`String` `getPrefix()` A string that is found at the beginning of a variable, such as `Name` or `Id`.
`String` `getSortOrder()` A two-value parameter that determines the sequence of the resulting list of `MLModel`.
`int` `hashCode()`
`void` `setEQ(String eQ)` The equal to operator.
`void` `setFilterVariable(MLModelFilterVariable filterVariable)` Use one of the following variables to filter a list of `MLModel`:
`void` `setFilterVariable(String filterVariable)` Use one of the following variables to filter a list of `MLModel`:
`void` `setGE(String gE)` The greater than or equal to operator.
`void` `setGT(String gT)` The greater than operator.
`void` `setLE(String lE)` The less than or equal to operator.
`void` `setLimit(Integer limit)` The number of pages of information to include in the result.
`void` `setLT(String lT)` The less than operator.
`void` `setNE(String nE)` The not equal to operator.
`void` `setNextToken(String nextToken)` The ID of the page in the paginated results.
`void` `setPrefix(String prefix)` A string that is found at the beginning of a variable, such as `Name` or `Id`.
`void` `setSortOrder(SortOrder sortOrder)` A two-value parameter that determines the sequence of the resulting list of `MLModel`.
`void` `setSortOrder(String sortOrder)` A two-value parameter that determines the sequence of the resulting list of `MLModel`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeMLModelsRequest` `withEQ(String eQ)` The equal to operator.
`DescribeMLModelsRequest` `withFilterVariable(MLModelFilterVariable filterVariable)` Use one of the following variables to filter a list of `MLModel`:
`DescribeMLModelsRequest` `withFilterVariable(String filterVariable)` Use one of the following variables to filter a list of `MLModel`:
`DescribeMLModelsRequest` `withGE(String gE)` The greater than or equal to operator.
`DescribeMLModelsRequest` `withGT(String gT)` The greater than operator.
`DescribeMLModelsRequest` `withLE(String lE)` The less than or equal to operator.
`DescribeMLModelsRequest` `withLimit(Integer limit)` The number of pages of information to include in the result.
`DescribeMLModelsRequest` `withLT(String lT)` The less than operator.
`DescribeMLModelsRequest` `withNE(String nE)` The not equal to operator.
`DescribeMLModelsRequest` `withNextToken(String nextToken)` The ID of the page in the paginated results.
`DescribeMLModelsRequest` `withPrefix(String prefix)` A string that is found at the beginning of a variable, such as `Name` or `Id`.
`DescribeMLModelsRequest` `withSortOrder(SortOrder sortOrder)` A two-value parameter that determines the sequence of the resulting list of `MLModel`.
`DescribeMLModelsRequest` `withSortOrder(String sortOrder)` A two-value parameter that determines the sequence of the resulting list of `MLModel`.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeMLModelsRequest

    public DescribeMLModelsRequest()

### Method Detail

#### setFilterVariable

    public void setFilterVariable(String filterVariable)

Use one of the following variables to filter a list of `MLModel`:

- `CreatedAt` - Sets the search criteria to `MLModel` creation date.
- `Status` - Sets the search criteria to `MLModel` status.
- `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
- `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
- `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
- `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
- `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
- `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
- `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.

Parameters:
  `filterVariable` - Use one of the following variables to filter a list of `MLModel`:
  - `CreatedAt` - Sets the search criteria to `MLModel` creation date.
  - `Status` - Sets the search criteria to `MLModel` status.
  - `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
  - `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
  - `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
  - `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
  - `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
  - `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
  - `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.
See Also:
  `MLModelFilterVariable`

#### getFilterVariable

    public String getFilterVariable()

Use one of the following variables to filter a list of `MLModel`:

- `CreatedAt` - Sets the search criteria to `MLModel` creation date.
- `Status` - Sets the search criteria to `MLModel` status.
- `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
- `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
- `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
- `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
- `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
- `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
- `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.

Returns:
  Use one of the following variables to filter a list of `MLModel`:
  - `CreatedAt` - Sets the search criteria to `MLModel` creation date.
  - `Status` - Sets the search criteria to `MLModel` status.
  - `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
  - `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
  - `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
  - `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
  - `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
  - `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
  - `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.
See Also:
  `MLModelFilterVariable`

#### withFilterVariable

    public DescribeMLModelsRequest withFilterVariable(String filterVariable)

Use one of the following variables to filter a list of `MLModel`:

- `CreatedAt` - Sets the search criteria to `MLModel` creation date.
- `Status` - Sets the search criteria to `MLModel` status.
- `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
- `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
- `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
- `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
- `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
- `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
- `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.

Parameters:
  `filterVariable` - Use one of the following variables to filter a list of `MLModel`:
  - `CreatedAt` - Sets the search criteria to `MLModel` creation date.
  - `Status` - Sets the search criteria to `MLModel` status.
  - `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
  - `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
  - `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
  - `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
  - `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
  - `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
  - `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `MLModelFilterVariable`

#### setFilterVariable

    public void setFilterVariable(MLModelFilterVariable filterVariable)

Use one of the following variables to filter a list of `MLModel`:

- `CreatedAt` - Sets the search criteria to `MLModel` creation date.
- `Status` - Sets the search criteria to `MLModel` status.
- `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
- `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
- `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
- `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
- `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
- `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
- `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.

Parameters:
  `filterVariable` - Use one of the following variables to filter a list of `MLModel`:
  - `CreatedAt` - Sets the search criteria to `MLModel` creation date.
  - `Status` - Sets the search criteria to `MLModel` status.
  - `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
  - `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
  - `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
  - `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
  - `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
  - `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
  - `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.
See Also:
  `MLModelFilterVariable`

#### withFilterVariable

    public DescribeMLModelsRequest withFilterVariable(MLModelFilterVariable filterVariable)

Use one of the following variables to filter a list of `MLModel`:

- `CreatedAt` - Sets the search criteria to `MLModel` creation date.
- `Status` - Sets the search criteria to `MLModel` status.
- `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
- `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
- `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
- `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
- `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
- `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
- `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.

Parameters:
  `filterVariable` - Use one of the following variables to filter a list of `MLModel`:
  - `CreatedAt` - Sets the search criteria to `MLModel` creation date.
  - `Status` - Sets the search criteria to `MLModel` status.
  - `Name` - Sets the search criteria to the contents of `MLModel` `Name`.
  - `IAMUser` - Sets the search criteria to the user account that invoked the `MLModel` creation.
  - `TrainingDataSourceId` - Sets the search criteria to the `DataSource` used to train one or more `MLModel`.
  - `RealtimeEndpointStatus` - Sets the search criteria to the `MLModel` real-time endpoint status.
  - `MLModelType` - Sets the search criteria to `MLModel` type: binary, regression, or multi-class.
  - `Algorithm` - Sets the search criteria to the algorithm that the `MLModel` uses.
  - `TrainingDataURI` - Sets the search criteria to the data file(s) used in training a `MLModel`. The URL can identify either a file or an Amazon Simple Storage Service (Amazon S3) bucket or directory.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `MLModelFilterVariable`

#### setEQ

    public void setEQ(String eQ)

The equal to operator. The `MLModel` results will have `FilterVariable` values that exactly match the value specified with `EQ`.

Parameters:
  `eQ` - The equal to operator. The `MLModel` results will have `FilterVariable` values that exactly match the value specified with `EQ`.

#### getEQ

    public String getEQ()

The equal to operator. The `MLModel` results will have `FilterVariable` values that exactly match the value specified with `EQ`.

Returns:
  The equal to operator. The `MLModel` results will have `FilterVariable` values that exactly match the value specified with `EQ`.

#### withEQ

    public DescribeMLModelsRequest withEQ(String eQ)

The equal to operator. The `MLModel` results will have `FilterVariable` values that exactly match the value specified with `EQ`.

Parameters:
  `eQ` - The equal to operator. The `MLModel` results will have `FilterVariable` values that exactly match the value specified with `EQ`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setGT

    public void setGT(String gT)

The greater than operator. The `MLModel` results will have `FilterVariable` values that are greater than the value specified with `GT`.

Parameters:
  `gT` - The greater than operator. The `MLModel` results will have `FilterVariable` values that are greater than the value specified with `GT`.

#### getGT

    public String getGT()

The greater than operator. The `MLModel` results will have `FilterVariable` values that are greater than the value specified with `GT`.

Returns:
  The greater than operator. The `MLModel` results will have `FilterVariable` values that are greater than the value specified with `GT`.

#### withGT

    public DescribeMLModelsRequest withGT(String gT)

The greater than operator. The `MLModel` results will have `FilterVariable` values that are greater than the value specified with `GT`.

Parameters:
  `gT` - The greater than operator. The `MLModel` results will have `FilterVariable` values that are greater than the value specified with `GT`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLT

    public void setLT(String lT)

The less than operator. The `MLModel` results will have `FilterVariable` values that are less than the value specified with `LT`.

Parameters:
  `lT` - The less than operator. The `MLModel` results will have `FilterVariable` values that are less than the value specified with `LT`.

#### getLT

    public String getLT()

The less than operator. The `MLModel` results will have `FilterVariable` values that are less than the value specified with `LT`.

Returns:
  The less than operator. The `MLModel` results will have `FilterVariable` values that are less than the value specified with `LT`.

#### withLT

    public DescribeMLModelsRequest withLT(String lT)

The less than operator. The `MLModel` results will have `FilterVariable` values that are less than the value specified with `LT`.

Parameters:
  `lT` - The less than operator. The `MLModel` results will have `FilterVariable` values that are less than the value specified with `LT`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setGE

    public void setGE(String gE)

The greater than or equal to operator. The `MLModel` results will have `FilterVariable` values that are greater than or equal to the value specified with `GE`.

Parameters:
  `gE` - The greater than or equal to operator. The `MLModel` results will have `FilterVariable` values that are greater than or equal to the value specified with `GE`.

#### getGE

    public String getGE()

The greater than or equal to operator. The `MLModel` results will have `FilterVariable` values that are greater than or equal to the value specified with `GE`.

Returns:
  The greater than or equal to operator. The `MLModel` results will have `FilterVariable` values that are greater than or equal to the value specified with `GE`.

#### withGE

    public DescribeMLModelsRequest withGE(String gE)

The greater than or equal to operator. The `MLModel` results will have `FilterVariable` values that are greater than or equal to the value specified with `GE`.

Parameters:
  `gE` - The greater than or equal to operator. The `MLModel` results will have `FilterVariable` values that are greater than or equal to the value specified with `GE`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLE

    public void setLE(String lE)

The less than or equal to operator. The `MLModel` results will have `FilterVariable` values that are less than or equal to the value specified with `LE`.

Parameters:
  `lE` - The less than or equal to operator. The `MLModel` results will have `FilterVariable` values that are less than or equal to the value specified with `LE`.

#### getLE

    public String getLE()

The less than or equal to operator. The `MLModel` results will have `FilterVariable` values that are less than or equal to the value specified with `LE`.

Returns:
  The less than or equal to operator. The `MLModel` results will have `FilterVariable` values that are less than or equal to the value specified with `LE`.

#### withLE

    public DescribeMLModelsRequest withLE(String lE)

The less than or equal to operator. The `MLModel` results will have `FilterVariable` values that are less than or equal to the value specified with `LE`.

Parameters:
  `lE` - The less than or equal to operator. The `MLModel` results will have `FilterVariable` values that are less than or equal to the value specified with `LE`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNE

    public void setNE(String nE)

The not equal to operator. The `MLModel` results will have `FilterVariable` values not equal to the value specified with `NE`.

Parameters:
  `nE` - The not equal to operator. The `MLModel` results will have `FilterVariable` values not equal to the value specified with `NE`.

#### getNE

    public String getNE()

The not equal to operator. The `MLModel` results will have `FilterVariable` values not equal to the value specified with `NE`.

Returns:
  The not equal to operator. The `MLModel` results will have `FilterVariable` values not equal to the value specified with `NE`.

#### withNE

    public DescribeMLModelsRequest withNE(String nE)

The not equal to operator. The `MLModel` results will have `FilterVariable` values not equal to the value specified with `NE`.

Parameters:
  `nE` - The not equal to operator. The `MLModel` results will have `FilterVariable` values not equal to the value specified with `NE`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPrefix

    public void setPrefix(String prefix)

A string that is found at the beginning of a variable, such as `Name` or `Id`.

For example, an `MLModel` could have the `Name` `2014-09-09-HolidayGiftMailer`. To search for this `MLModel`, select `Name` for the `FilterVariable` and any of the following strings for the `Prefix`:

- 2014-09

- 2014-09-09

- 2014-09-09-Holiday

Parameters:
  `prefix` - A string that is found at the beginning of a variable, such as `Name` or `Id`.

  For example, an `MLModel` could have the `Name` `2014-09-09-HolidayGiftMailer`. To search for this `MLModel`, select `Name` for the `FilterVariable` and any of the following strings for the `Prefix`:

  - 2014-09

  - 2014-09-09

  - 2014-09-09-Holiday

#### getPrefix

    public String getPrefix()

A string that is found at the beginning of a variable, such as `Name` or `Id`.

For example, an `MLModel` could have the `Name` `2014-09-09-HolidayGiftMailer`. To search for this `MLModel`, select `Name` for the `FilterVariable` and any of the following strings for the `Prefix`:

- 2014-09

- 2014-09-09

- 2014-09-09-Holiday

Returns:
  A string that is found at the beginning of a variable, such as `Name` or `Id`.

  For example, an `MLModel` could have the `Name` `2014-09-09-HolidayGiftMailer`. To search for this `MLModel`, select `Name` for the `FilterVariable` and any of the following strings for the `Prefix`:

  - 2014-09

  - 2014-09-09

  - 2014-09-09-Holiday

#### withPrefix

    public DescribeMLModelsRequest withPrefix(String prefix)

A string that is found at the beginning of a variable, such as `Name` or `Id`.

For example, an `MLModel` could have the `Name` `2014-09-09-HolidayGiftMailer`. To search for this `MLModel`, select `Name` for the `FilterVariable` and any of the following strings for the `Prefix`:

- 2014-09

- 2014-09-09

- 2014-09-09-Holiday

Parameters:
  `prefix` - A string that is found at the beginning of a variable, such as `Name` or `Id`.

  For example, an `MLModel` could have the `Name` `2014-09-09-HolidayGiftMailer`. To search for this `MLModel`, select `Name` for the `FilterVariable` and any of the following strings for the `Prefix`:

  - 2014-09

  - 2014-09-09

  - 2014-09-09-Holiday

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSortOrder

    public void setSortOrder(String sortOrder)

A two-value parameter that determines the sequence of the resulting list of `MLModel`.

- `asc` - Arranges the list in ascending order (A-Z, 0-9).
- `dsc` - Arranges the list in descending order (Z-A, 9-0).

Results are sorted by `FilterVariable`.

Parameters:
  `sortOrder` - A two-value parameter that determines the sequence of the resulting list of `MLModel`.
  - `asc` - Arranges the list in ascending order (A-Z, 0-9).
  - `dsc` - Arranges the list in descending order (Z-A, 9-0).

  Results are sorted by `FilterVariable`.

See Also:
  `SortOrder`

#### getSortOrder

    public String getSortOrder()

A two-value parameter that determines the sequence of the resulting list of `MLModel`.

- `asc` - Arranges the list in ascending order (A-Z, 0-9).
- `dsc` - Arranges the list in descending order (Z-A, 9-0).

Results are sorted by `FilterVariable`.

Returns:
  A two-value parameter that determines the sequence of the resulting list of `MLModel`.
  - `asc` - Arranges the list in ascending order (A-Z, 0-9).
  - `dsc` - Arranges the list in descending order (Z-A, 9-0).

  Results are sorted by `FilterVariable`.

See Also:
  `SortOrder`

#### withSortOrder

    public DescribeMLModelsRequest withSortOrder(String sortOrder)

A two-value parameter that determines the sequence of the resulting list of `MLModel`.

- `asc` - Arranges the list in ascending order (A-Z, 0-9).
- `dsc` - Arranges the list in descending order (Z-A, 9-0).

Results are sorted by `FilterVariable`.

Parameters:
  `sortOrder` - A two-value parameter that determines the sequence of the resulting list of `MLModel`.
  - `asc` - Arranges the list in ascending order (A-Z, 0-9).
  - `dsc` - Arranges the list in descending order (Z-A, 9-0).

  Results are sorted by `FilterVariable`.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortOrder`

#### setSortOrder

    public void setSortOrder(SortOrder sortOrder)

A two-value parameter that determines the sequence of the resulting list of `MLModel`.

- `asc` - Arranges the list in ascending order (A-Z, 0-9).
- `dsc` - Arranges the list in descending order (Z-A, 9-0).

Results are sorted by `FilterVariable`.

Parameters:
  `sortOrder` - A two-value parameter that determines the sequence of the resulting list of `MLModel`.
  - `asc` - Arranges the list in ascending order (A-Z, 0-9).
  - `dsc` - Arranges the list in descending order (Z-A, 9-0).

  Results are sorted by `FilterVariable`.

See Also:
  `SortOrder`

#### withSortOrder

    public DescribeMLModelsRequest withSortOrder(SortOrder sortOrder)

A two-value parameter that determines the sequence of the resulting list of `MLModel`.

- `asc` - Arranges the list in ascending order (A-Z, 0-9).
- `dsc` - Arranges the list in descending order (Z-A, 9-0).

Results are sorted by `FilterVariable`.

Parameters:
  `sortOrder` - A two-value parameter that determines the sequence of the resulting list of `MLModel`.
  - `asc` - Arranges the list in ascending order (A-Z, 0-9).
  - `dsc` - Arranges the list in descending order (Z-A, 9-0).

  Results are sorted by `FilterVariable`.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortOrder`

#### setNextToken

    public void setNextToken(String nextToken)

The ID of the page in the paginated results.

Parameters:
  `nextToken` - The ID of the page in the paginated results.

#### getNextToken

    public String getNextToken()

The ID of the page in the paginated results.

Returns:
  The ID of the page in the paginated results.

#### withNextToken

    public DescribeMLModelsRequest withNextToken(String nextToken)

The ID of the page in the paginated results.

Parameters:
  `nextToken` - The ID of the page in the paginated results.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLimit

    public void setLimit(Integer limit)

The number of pages of information to include in the result. The range of acceptable values is `1` through `100`. The default value is `100`.

Parameters:
  `limit` - The number of pages of information to include in the result. The range of acceptable values is `1` through `100`. The default value is `100`.

#### getLimit

    public Integer getLimit()

The number of pages of information to include in the result. The range of acceptable values is `1` through `100`. The default value is `100`.

Returns:
  The number of pages of information to include in the result. The range of acceptable values is `1` through `100`. The default value is `100`.

#### withLimit

    public DescribeMLModelsRequest withLimit(Integer limit)

The number of pages of information to include in the result. The range of acceptable values is `1` through `100`. The default value is `100`.

Parameters:
  `limit` - The number of pages of information to include in the result. The range of acceptable values is `1` through `100`. The default value is `100`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeMLModelsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`